# Get Account Info

Once your web application successfully connects to Adena, in most cases, you would first want to **get information about the connected account**. Use the `getAccount` method to receive a series of data about the account including its address, balance, public key, account number, and sequence.

#### Code

```javascript
adena.GetAccount();
```

#### **Params**

<table><thead><tr><th width="219">Key</th><th width="168.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>-</td><td>-</td><td>-</td></tr></tbody></table>

#### Response

<table><thead><tr><th width="214">Key</th><th width="168.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>code</code></td><td><code>number</code></td><td>Numeric result code</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>Returns <code>success</code> or <code>failure</code></td></tr><tr><td><code>type</code></td><td><code>string</code></td><td>Response type</td></tr><tr><td><code>message</code></td><td><code>string</code></td><td>Descriptive message of the result</td></tr><tr><td><code>data</code></td><td><code>object</code></td><td><strong>Account Model</strong></td></tr></tbody></table>

#### Account Model

<table><thead><tr><th width="212">Key</th><th width="168.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>accountNumber</code></td><td><code>string</code></td><td>Account number</td></tr><tr><td><code>address</code></td><td><code>string</code></td><td>Account address</td></tr><tr><td><code>coins</code></td><td><code>string</code></td><td>Account balance</td></tr><tr><td><code>chainId</code></td><td><code>string</code></td><td>Current chain's Chain ID</td></tr><tr><td><code>sequence</code></td><td><code>string</code></td><td>Number of transactions signed by the account</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>Returns <code>ACTIVE</code> or <code>IN_ACTIVE</code></td></tr><tr><td><code>publicKey.@type</code></td><td><code>string</code></td><td>Public key type</td></tr><tr><td><code>publicKey.value</code></td><td><code>string</code></td><td>Public key value</td></tr></tbody></table>

#### Sample Request

```javascript
adena.GetAccount()
```

#### Sample Response

```javascript
{
   "code": 0,
   "status": "success",
   "type": "GET_ACCOUNT",
   "message": "Get account.",
   "data": {
      //status of the account; inactive if never used
      "status": "ACTIVE",
      //account address
      "address": "g1fnakf9vrd6uqn8qdmp88yam4p0ngy572answ9f",
      //account balance
      "coins": "3618115104ugnot",
      "public_key": {
        //key generation algorithm
        "@type": "/tm.PubKeySecp256k1",
        //public key value
        "value": "A3cWVULHSHC1mwK8o1vfJHKfNMvLEvKU/sHPQoFWRoey"
      },
      //account number
      "account_number": "5547",
      //nonce
      "sequence": "23"
      "chainId": "test3"
   },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adena.app/integrations/get-account-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
